Upstream information

CVE-2008-3277 at MITRE

Description

Untrusted search path vulnerability in a certain Red Hat build script for the ibmssh executable in ibutils packages before ibutils-1.5.7-2.el6 in Red Hat Enterprise Linux (RHEL) 6 and ibutils-1.2-11.2.el5 in Red Hat Enterprise Linux (RHEL) 5 allows local users to gain privileges via a Trojan Horse program in refix/lib/, related to an incorrect RPATH setting in the ELF header.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.4
Vector AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial

Note from the SUSE Security Team

We are not affected by this vulnerability, as we are not building the affected code into our packages.

SUSE Bugzilla entry: 747981 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP3
  • ibutils >= 1.5.7-0.7.31
  • ibutils-32bit >= 1.5.7-0.7.31
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA ibutils
SUSE Linux Enterprise Server 11 SP4
  • ibutils >= 1.5.7-0.15.22
  • ibutils-32bit >= 1.5.7-0.15.22
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA ibutils
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ibutils >= 1.5.7-0.15.22
  • ibutils-32bit >= 1.5.7-0.15.22
  • ibutils-devel >= 1.5.7-0.15.22
  • ibutils-devel-32bit >= 1.5.7-0.15.22
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA ibutils


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP1 ibutils Affected
SUSE Linux Enterprise SDK 11 SP2 ibutils Affected
SUSE Linux Enterprise Server 10 SP3 ibutils Affected
SUSE Linux Enterprise Server 10 SP4 ibutils Affected
SUSE Linux Enterprise Server 10 SP4 LTSS ibutils Affected
SUSE Linux Enterprise Server 11 SP1 ibutils Affected
SUSE Linux Enterprise Server 11 SP1 LTSS ibutils Affected
SUSE Linux Enterprise Server 11 SP2 ibutils Affected
SUSE Linux Enterprise Server 11 SP2 LTSS ibutils Affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 ibutils Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 ibutils Affected
SUSE Linux Enterprise Server for SAP ES 11 SP1 ibutils Affected
SUSE Linux Enterprise Server for VMWare 11 SP2 ibutils Affected